<?xml version="1.0" encoding="UTF-8"?>

<!--
|>
| DATA FORMATS ANALYZER 1-1-1 - DFA COMPACT INFO AND DESCRIPTIONS XSL [http://www.universalchemicalmarkup.org]
| Updated: 2014-08-12
| License: GNU GPL 3 [http://www.gnu.org/licenses/gpl-3.0.html]
| Author: Jan Mokrý (Main corresponding author:
|                    Contact information is at the project website.)
|>
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

    <xsl:output method="xml" indent="no"/>

    <xsl:template match="/attributes">
        <xsl:text>&#10;&#10;</xsl:text>
        <attributes mat="{@mat}">
            <xsl:text>&#10;&#10;</xsl:text>
            <xsl:for-each-group group-by="@name" select="//attribute">
                <xsl:sort select="current-grouping-key()"/>
                <attribute name="{current-grouping-key()}" standard="{(current-group()/@standard)[1]}">
                    <xsl:text>&#10;</xsl:text>
                    <xsl:for-each select="current-group()/*">
                        <xsl:copy-of select="."/>
                        <xsl:text>&#10;</xsl:text>
                    </xsl:for-each>
                </attribute>
                <xsl:text>&#10;&#10;</xsl:text>
            </xsl:for-each-group>
        </attributes>
    </xsl:template>

    <xsl:template match="/elements">
        <xsl:text>&#10;&#10;</xsl:text>
        <elements mat="{@mat}">
            <xsl:text>&#10;&#10;</xsl:text>
            <xsl:for-each-group group-by="@name" select="//element">
                <xsl:sort select="current-grouping-key()"/>
                <element name="{current-grouping-key()}" standard="{(current-group()/@standard)[1]}">
                    <xsl:text>&#10;</xsl:text>
                    <xsl:for-each select="current-group()/*">
                        <xsl:copy-of select="."/>
                        <xsl:text>&#10;</xsl:text>
                    </xsl:for-each>
                </element>
                <xsl:text>&#10;&#10;</xsl:text>
            </xsl:for-each-group>
        </elements>
    </xsl:template>

    <xsl:template match="/types">
        <xsl:text>&#10;&#10;</xsl:text>
        <types mat="{@mat}">
            <xsl:text>&#10;&#10;</xsl:text>
            <xsl:for-each-group group-by="@name" select="//type">
                <xsl:sort select="current-grouping-key()"/>
                <type name="{current-grouping-key()}" standard="{(current-group()/@standard)[1]}">
                    <xsl:text>&#10;</xsl:text>
                    <xsl:for-each select="current-group()/*">
                        <xsl:copy-of select="."/>
                        <xsl:text>&#10;</xsl:text>
                    </xsl:for-each>
                </type>
                <xsl:text>&#10;&#10;</xsl:text>
            </xsl:for-each-group>
        </types>
    </xsl:template>

</xsl:stylesheet>
